#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_with	tests	# pytest based tests [use network, need some environment]

%define 	module	execnet
Summary:	Rapid multi-Python deployment
Summary(pl.UTF-8):	Szybkie wdrożenia na wielu Pythonach
Name:		python3-%{module}
Version:	2.1.1
Release:	1
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/execnet/
Source0:	https://files.pythonhosted.org/packages/source/e/execnet/%{module}-%{version}.tar.gz
# Source0-md5:	f533366fb5b8fd802a9c4d15d6ca9796
URL:		https://codespeak.net/execnet/
BuildRequires:	python3-build
BuildRequires:	python3-hatch-vcs
BuildRequires:	python3-hatchling
BuildRequires:	python3-installer
BuildRequires:	python3-modules >= 1:3.8
%if %{with tests}
BuildRequires:	python3-pytest
BuildRequires:	python3-pytest-timeout
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 2.044
%if %{with doc}
BuildRequires:	sphinx-pdg-3
%endif
Requires:	python3-modules >= 1:3.8
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
execnet provides carefully tested means to ad-hoc interact with Python
interpreters across version, platform and network barriers. It
provides a minimal and fast API targetting the following uses:
 - distribute tasks to local or remote processes
 - write and deploy hybrid multi-process applications
 - write scripts to administer multiple hosts

%description -l pl.UTF-8
execnet dostarcza uważnie przetestowane narzędzia do interakcji z
interpreterami Pythona zainstalowanych w różnych wersjach, na różnych
platformach i w różnych sieciach. Zapewnia minimalne i szybkie API
przeznaczone do następujących zastosowań:
 - rozpraszania zadań na lokalne lub zdalne procesy
 - pisania i wdrażania wieloprocesowych aplikacji hybrydowych
 - pisania skryptów do administrowania wieloma hostami

%package apidocs
Summary:	API documentation for Python execnet module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona execnet
Group:		Documentation

%description apidocs
API documentation for Python execnet module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona execnet.

%prep
%setup -q -n %{module}-%{version}

%build
%py3_build_pyproject

%if %{with tests}
PYTHONPATH=$(pwd)/src \
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS="pytest_timeout" \
%{__python3} -m pytest testing --timeout=20
%endif

%if %{with doc}
PYTHONPATH=$(pwd)/src \
%{__make} -C doc html \
	SPHINXBUILD=sphinx-build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README.rst
%{py3_sitescriptdir}/execnet
%{py3_sitescriptdir}/execnet-%{version}.dist-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc doc/_build/html/{_images,_static,example,*.html,*.js}
%endif
%changelog
* Sat Jun 28 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-execnet.git;a=log;h=master

* Sat Jun 28 2025 Jakub Bogusz <qboosh@pld-linux.org> 807bee1
- py no longer used

* Sat Jun 28 2025 Jakub Bogusz <qboosh@pld-linux.org> ae3547d
- python-execnet.spec updated to 2.1.1 for python 3.8+

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 8b96bc8
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 3e4e22b
- python 3.13 rebuild

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> b344f04
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 5b557c8
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> b878876
- rebuild with python 3.10

* Tue Mar 15 2022 Jakub Bogusz <qboosh@pld-linux.org> 46d7835
- updated to 1.9.0

* Wed Dec 15 2021 Jakub Bogusz <qboosh@pld-linux.org> d2fcc7b
- setuptools epoch

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> cc62809
- release 2 (by relup.sh)

* Tue Feb 02 2021 Jakub Bogusz <qboosh@pld-linux.org> 440812c
- python 3.4 is no longer supported

* Tue Feb 02 2021 Jakub Bogusz <qboosh@pld-linux.org> 324ebba
- updated to 1.8.0

* Tue Mar 24 2020 Jakub Bogusz <qboosh@pld-linux.org> 3b64f67
- updated to 1.7.1

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> ec97ef7
- rebuild with python 3.8
- release 2 (by relup.sh)

* Wed Aug 01 2018 Jakub Bogusz <qboosh@pld-linux.org> c0dad44
- updated to 1.5.0, added -apidocs

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> fde2171
- release 2 (by relup.sh)

* Fri Mar 10 2017 Jakub Bogusz <qboosh@pld-linux.org> 8d19308
- updated to 1.4.1
- removed obsolete setup_deps

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 1d99ffc
- python 3.6
- release 5 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> e91f61d
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 4541e54
- release 4 (by relup.sh)

